# Interface SeedGenerator

All Known Implementing Classes:
  `DefaultSeedGenerator, DevRandomSeedGenerator, RandomDotOrgSeedGenerator, SecureRandomSeedGenerator`

public interface SeedGenerator
Strategy interface for seeding random number generators.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`generateSeed(int length)`
Generate a seed value for a random number generator.

## Method Details

### generateSeed

byte[] generateSeed(int length) throws SeedException
Generate a seed value for a random number generator.

Parameters:
  `length` - The length of the seed to generate (in bytes).
Returns:
  A byte array containing the seed data.
Throws:
  `SeedException` - If a seed cannot be generated for any reason.